It is possible to register multiple parameters with the same name using the REST API
Description

When doing several equal posts to https://&lt;host&gt;/api/v2/hostgroups/&lt;hostgroupname&gt;/parameters with a json of {

"parameter" : { "name" : "foo", "value" : "something" } }, I am able to create several parameters named "foo".

When manipulating the same parameters with put on 

https://&lt;host&gt;/api/v2/hostgroups/&lt;hostgroupname&gt;/parameters/&lt;internal id of param> with the json of { "parameter" : {

"value" : "something" } }, an error stating

{

"error": {"id":3528,"errors":{"name":["has already been taken"]},"full_messages":["Name has already been taken"]}

}

is returned. I feel that this error should also be returned on the second POST above in the interests of providing a clear and

orthogonal API.

Related issues:

Is duplicate of Foreman - Bug #6695: Adding two OS parameters with same name ... Closed 07/20/2014

History

#1 - 10/02/2014 10:20 AM - Dominic Cleal

- Is duplicate of Bug #6695: Adding two OS parameters with same name doesn't raise any error when values are different added

#2 - 10/02/2014 10:20 AM - Dominic Cleal

- Status changed from New to Feedback

Thanks for the report, I think we've fixed this via #6695 for Foreman 1.7.  If you get the opportunity, please try out our nightly builds to verify.

#3 - 05/17/2017 09:30 AM - Anonymous

- Status changed from Feedback to Resolved

no reaction, closing

Powered by TCPDF (www.tcpdf.org)

05/20/2024 1/1

https://&lt;host&gt;/api/v2/hostgroups/&lt;hostgroupname&gt;/parameters
https://&lt;host&gt;/api/v2/hostgroups/&lt;hostgroupname&gt;/parameters/&lt;internal
https://projects.theforeman.org/issues/6695
http://www.tcpdf.org

